import React, { PropsWithChildren } from 'react';

import {
	PdfHighlighterProps,
	PdfLoaderProps,
	PDFRenderRef,
	PDFUtilsType,
	SinglePdfRenderProps,
	THighlight,
} from './src/types.d';

export const PdfHighlighter: (props: PdfHighlighterProps<THighlight>) => React.ReactElement;
export const SinglePdfRender: (
	props: PropsWithChildren<SinglePdfRenderProps> & { ref?: React.MutableRefObject<PDFRenderRef> },
) => React.ReactElement;
export const PdfLoader: (props: PdfLoaderProps) => React.ReactElement;
export const PDFUtils: PDFUtilsType;

export const usePDFOpacityFix: () => (canvas?: HTMLCanvasElement) => Promise<boolean>;

export * from './src/types.d';
